ATOM build fails. script\build. windows 10


#1

not able to build ATOM on my windows 10 PC

script\build is failing. The first time it got as far as installing modules and then themes. But then stalled.

The 2nd time, it was “installing apm”. Got message “this app can’t run on your PC” ( running from powershell )
some sort of timeout message and “access denied”

Here are the steps I ran:
use NPM to install windows build tools. This installs python27

mklink /d %SystemDrive%\Python27 c:\Users\admin.windows-build-tools\python27

install 7zip
http://www.7-zip.org/download.html

start powershell, admin rights

$ENV:PATH=”$ENV:PATH;C:\Program Files\7-Zip"

git clone https://github.com/atom/atom.git

cd atom
script\build

Here are the messages. What to do?

PS C:\atom> script\build
Node: v6.11.2
Npm: v3.10.10
Python: v2.7.13
Installing script dependencies
prebuild-install info begin Prebuild-install version 2.2.2
prebuild-install info looking for local prebuild @ prebuilds\leveldown-v1.8.0-node-v48-win32-x64.tar.gz
prebuild-install info looking for cached prebuild @ C:\Users\admin\AppData\Roaming\npm-cache_prebuilds\https-github.com-level-leveldown-releases-download-v1.8.0-leveldown-v1.8.0-node-v48-win32-x64.tar.gz
prebuild-install info found cached prebuild
prebuild-install info unpacking @ C:\Users\admin\AppData\Roaming\npm-cache_prebuilds\https-github.com-level-leveldown-releases-download-v1.8.0-leveldown-v1.8.0-node-v48-win32-x64.tar.gz
prebuild-install info unpack resolved to C:\atom\script\node_modules\leveldown\build\Release\leveldown.node
prebuild-install info unpack required C:\atom\script\node_modules\leveldown\build\Release\leveldown.node successfully
prebuild-install info install Successfully installed prebuilt binary!
Installing apm
events.js:160
throw er; // Unhandled ‘error’ event
^

Error: connect ETIMEDOUT 104.20.23.46:443
at Object.exports._errnoException (util.js:1020:11)
at exports._exceptionWithHostPort (util.js:1043:20)
at TCPConnectWrap.afterConnect [as oncomplete] (net.js:1086:14)
Access is denied.
Access is denied.
Access is denied.
Access is denied.
child_process.js:495
throw err;
^

Error: Command failed: C:\atom\apm\node_modules\atom-package-manager\bin\apm.cmd --version
at checkExecSyncError (child_process.js:472:13)
at Object.execFileSync (child_process.js:492:13)
at Object. (C:\atom\script\bootstrap:30:14)
at Module._compile (module.js:570:32)
at Object.Module._extensions…js (module.js:579:10)
at Module.load (module.js:487:32)
at tryModuleLoad (module.js:446:12)
at Function.Module._load (module.js:438:3)
at Module.require (module.js:497:17)
at require (internal/module.js:20:19)


#2

Looks like you’re having some internet issues. Try: script/clean (to fix the “this app can’t run on your PC” error) and script/build --install some time later.


#3

it is failing all over the place.

c:\atom>script\build --install
Node: v6.11.2
Npm: v3.10.10
Python: v2.7.13
Installing script dependencies
prebuild-install info begin Prebuild-install version 2.2.2
prebuild-install info looking for local prebuild @ prebuilds\leveldown-v1.8.0-node-v48-win32-x64.tar.gz
prebuild-install info looking for cached prebuild @ C:\Users\admin\AppData\Roaming\npm-cache_prebuilds\https-github.com-level-leveldown-releases-download-v1.8.0-leveldown-v1.8.0-node-v48-win32-x64.tar.gz
prebuild-install info found cached prebuild
prebuild-install info unpacking @ C:\Users\admin\AppData\Roaming\npm-cache_prebuilds\https-github.com-level-leveldown-releases-download-v1.8.0-leveldown-v1.8.0-node-v48-win32-x64.tar.gz
prebuild-install info unpack resolved to c:\atom\script\node_modules\leveldown\build\Release\leveldown.node
prebuild-install info unpack required c:\atom\script\node_modules\leveldown\build\Release\leveldown.node successfully
prebuild-install info install Successfully installed prebuilt binary!
Installing apm
npm ERR! Windows_NT 10.0.10240
npm ERR! argv “c:\atom\apm\node_modules\atom-package-manager\bin\node.exe” “c:\atom\apm\node_modules\atom-package-manager\node_modules\npm\bin\npm-cli.js” "dedupe"
npm ERR! node v6.9.5
npm ERR! npm v3.10.10

npm ERR! Cannot read property ‘localeCompare’ of null
npm ERR!
npm ERR! If you need help, you may report this error at:
npm ERR! https://github.com/npm/npm/issues

npm ERR! Please include the following file with any support request:
npm ERR! c:\atom\apm\node_modules\atom-package-manager\npm-debug.log
apm 1.18.7
npm 3.10.10
node 6.9.5 x64
python 2.7.13
git 2.8.1.windows.1
visual studio 2015

gyp info it worked if it ends with ok
gyp info using node-gyp@3.4.0
gyp info using node@6.9.5 | win32 | x64
gyp http GET https://atom.io/download/electron/v1.6.9/iojs-v1.6.9.tar.gz
gyp WARN install got an error, rolling back install
gyp ERR! install error
gyp ERR! stack Error: connect ETIMEDOUT 50.16.225.171:443
gyp ERR! stack at Object.exports._errnoException (util.js:1022:11)
gyp ERR! stack at exports._exceptionWithHostPort (util.js:1045:20)
gyp ERR! stack at TCPConnectWrap.afterConnect [as oncomplete] (net.js:1087:14)
gyp ERR! System Windows_NT 10.0.10240
gyp ERR! command “c:\atom\apm\node_modules\atom-package-manager\bin\node.exe” “c:\atom\apm\node_modules\atom-package-manager\node_modules\node-gyp\bin\node-gyp.js” “install” “–runtime=electron” “–target=1.6.9” “–dist-url=https://atom.io/download/electron” “–arch=x64” "–ensure"
gyp ERR! cwd C:\Users\admin.atom
gyp ERR! node -v v6.9.5
gyp ERR! node-gyp -v v3.4.0
gyp ERR! not ok

child_process.js:495
throw err;
^

Error: Command failed: c:\atom\apm\node_modules\atom-package-manager\bin\apm.cmd --loglevel=error install
at checkExecSyncError (child_process.js:472:13)
at Object.execFileSync (child_process.js:492:13)
at module.exports (c:\atom\script\lib\run-apm-install.js:14:16)
at Object. (c:\atom\script\bootstrap:35:1)
at Module._compile (module.js:570:32)
at Object.Module._extensions…js (module.js:579:10)
at Module.load (module.js:487:32)
at tryModuleLoad (module.js:446:12)
at Function.Module._load (module.js:438:3)
at Module.require (module.js:497:17)


#4

ok. did a reboot. install completed.

thanks,